PHP Soporte Ampliado

En este artículo te explicamos qué es el PHP Soporte Ampliado.

¿Qué es el PHP Soporte Ampliado?

PHP es un lenguaje de programación muy potente que se utiliza para crear sitios web dinámicos.La Comunidad PHP publica regularmente versiones actualizadas y optimizadas de PHP y, por lo tanto, interrumpirá el soporte para la versiones anteriores.Las versiones desactualizadas se quedan sin actualizaciones de seguridad gratuitas. Por lo tanto, ya no deben usarse más.

Te recomendamos que revises la configuración de todos los dominios de tu contrato. Para que tengas suficiente tiempo para actualizar la versión de PHP, te ofrecemos el PHP Soporte Ampliado.

El PHP Soporte Ampliado es un servicio de IONOS que se encargará de mantener la seguridad de las versiones de PHP desactualizadas.Nuestro objetivo es proporcionarte un servicio completo e ininterrumpido para proteger tu sitio web de posibles ciberataques.De esta manera, protegemos tus proyectos web y scripts PHP de posibles ataques hasta que te decidas por actualizar la versión de PHP.

El mantenimiento de las antiguas versiones de PHP significa un mayor esfuerzo en nuestros sistemas. Por este servicio adicional te cobramos una cuota mensual.

¿Qué versiones de PHP están afectadas?

Para las versiones PHP 4.0, PHP 5.2, PHP5.4, PHP 5.5, PHP 5.6 y PHP 7.0 la comunidad PHP ya ha interrumpido el soporte.Desde el 01/12/2019 tampoco la versión de PHP 7.1 no recibirá más actualizaciones.

¿Qué deben hacer los usuarios de PHP 7.1?

Si deseas continuar usando PHP 7.1 porque necesitas más tiempo para actualizar la versión, te recomendamos que actives el PHP Soporte Ampliado.El PHP Soporte Ampliado para 7.1 estará disponible a partir del 02/12/2019.

Si ya no necesitas PHP 7.1, debería ponerlo en marcha lo antes posible corrienteCambiar la versión de PHP. Te recomendamos la versión de PHP 7.3.

Atención: Tu versión de PHP no se actualizará automáticamente. Si estás usando PHP 7.1, ya te habíamos informado por e-mail de que solo te podíamos ofrecer este soporte técnico en el marco del PHP Soporte Ampliado.Si no cambias a una versión de PHP actualizada, ten en cuenta que se te cobrará el PHP Soporte Ampliado a partir del 15/01/2020.

¿Cuándo comienza el PHP Soporte Ampliado?

PHP Soporte Ampliado se inicia en el momento en que la comunidad PHP deja de ofrecer soporte. En la Community encontrarás más información sobre las distintas fases de soporte PHP, así como el ciclo de vida completo de PHP.

Independientemente de lo anterior, te recomendamos utilizar siempre una versión PHP actual y probada.

¿Por qué se me factura PHP Soporte Ampliado?

Configuraste en tu espacio web una versión PHP antigua para la que ya no se ofrece soporte por parte de la comunidad de PHP. Si lo deseas, podrás modificar esta configuración para cada dominio desde el área 1&1 IONOS, dentro de la sección Hosting. Allí podrás actualizar la versión de PHP de cada uno de tus dominios simplemente seleccionándolos y haciendo clic en Modificar versión PHP. Te recomendamos utilizar siempre una versión PHP actual.

¿Ya cambiaste la configuración de tu dominio a una versión PHP actual? Entonces es posible que no hayas visto el aviso de cancelación que aparece en el área 1&1 IONOS. En caso de que ya no necesites el servicio de PHP Soporte Ampliado, accede a la Gestión de contratos, inicia sesión y selecciona la cancelación del artículo correspondiente a este servicio.

¿No recibiste ninguna notificación previa sobre nuestro PHP Soporte Ampliado a través de e-mail? Seguramente no habrás visto que te informamos acerca de este asunto por e-mail. Comprueba la dirección de e-mail que tenemos registrada e introduce una dirección válida para que podamos localizarte. Solo así podremos ofrecerte un servicio mejor.

¿Por qué se necesita el PHP Soporte Ampliado?

Debido a las actualizaciones de seguridad, a las adaptaciones y al funcionamiento de estas versiones PHP antiguas, nuestros administradores tienen una gran carga de trabajo. PHP Soporte Ampliado es un servicio especial que ponemos a disposición de nuestros clientes existentes. Puesto que el mantenimiento de estas versiones PHP obsoletas supone un elevado gasto administrativo en nuestros sistemas, te facturamos este servicio adicional mediante una cuota mensual mínima.

Dado que suponemos que todavía necesitas los scripts de las versiones antiguas de PHP que mencionamos al inicio de este artículo, ya activamos este servicio para tu contrato. Tendrás que asegurarte de que tus scripts PHP se pueden utilizar también en el futuro. Ya te enviamos información más detallada al respecto por e-mail.

¿No estás seguro de si necesitas el PHP Soporte Ampliado?

En ese caso, te aconsejamos que pruebes lo siguiente:

  • A la hora de realizar la prueba, te recomendamos que configures un subdominio.

  • Ahora, enlaza el contenido de la página con el subdominio.

  • A continuación, puedes cambiar, por ejemplo, a la versión actual PHP 7 (recomendado).

En caso de que todo funcione como se espera, puedes cancelar el PHP Soporte Ampliado desde la Gestión de contratos con unos pocos clics.

También puedes contactar con nuestra Atención al Cliente para cancelar el PHP Soporte Ampliado.

¿Tus scripts ya no funcionan tras la actualización?

Cambia de nuevo a la versión PHP original en el área 1&1 IONOS y ponte en contacto con un experto. Aparentemente, tu aplicación no es compatible con PHP 7 sin adaptaciones en los scripts.

Me gustaría adaptar mis scripts a una versión PHP superior, pero para eso necesito más tiempo. ¿Cómo debo actuar?

Comprueba si es necesaria una adaptación de los scripts. Muchos scripts funcionan también perfectamente en la versión PHP 7. Si lo anterior no se aplica en tu caso y necesitas más adaptaciones, ponte en contacto con nuestra Atención al Cliente para poder coordinarse en cuanto al tiempo.